Loading...
Searching...
No Matches
AVMotionVector Struct Reference

`#include <libavutil/motion_vector.h>`

## Data Fields

int32_t | source
| Where the current macroblock comes from; negative value when it comes from the past, positive value when it comes from the future.
uint8_t | w
| Width and height of the block.
uint8_t | h
int16_t | src_x
| Absolute source position.
int16_t | src_y
int16_t | dst_x
| Absolute destination position.
int16_t | dst_y
uint64_t | flags
| Extra flag information.
int32_t | motion_x
| Motion vector src_x = dst_x + motion_x / motion_scale src_y = dst_y + motion_y / motion_scale.
int32_t | motion_y
uint16_t | motion_scale

## Detailed Description

Examples
  extract_mvs.c.

Definition at line 24 of file motion_vector.h.

## Field Documentation

## source

int32_t AVMotionVector::source

Where the current macroblock comes from; negative value when it comes from the past, positive value when it comes from the future.

XXX: set exact relative ref frame reference instead of a +/- 1 "direction".

Examples
  extract_mvs.c.

Definition at line 30 of file motion_vector.h.

Referenced by decode_packet().

## w

uint8_t AVMotionVector::w

Width and height of the block.

Examples
  extract_mvs.c.

Definition at line 34 of file motion_vector.h.

Referenced by decode_packet().

## h

uint8_t AVMotionVector::h

Examples
  extract_mvs.c.

Definition at line 34 of file motion_vector.h.

Referenced by decode_packet().

## src_x

int16_t AVMotionVector::src_x

Absolute source position.

Can be outside the frame area.

Examples
  extract_mvs.c.

Definition at line 38 of file motion_vector.h.

Referenced by decode_packet().

## src_y

int16_t AVMotionVector::src_y

Examples
  extract_mvs.c.

Definition at line 38 of file motion_vector.h.

Referenced by decode_packet().

## dst_x

int16_t AVMotionVector::dst_x

Absolute destination position.

Can be outside the frame area.

Examples
  extract_mvs.c.

Definition at line 42 of file motion_vector.h.

Referenced by decode_packet().

## dst_y

int16_t AVMotionVector::dst_y

Examples
  extract_mvs.c.

Definition at line 42 of file motion_vector.h.

Referenced by decode_packet().

## flags

uint64_t AVMotionVector::flags

Extra flag information.

Currently unused.

Examples
  extract_mvs.c.

Definition at line 47 of file motion_vector.h.

Referenced by decode_packet().

## motion_x

int32_t AVMotionVector::motion_x

Motion vector src_x = dst_x + motion_x / motion_scale src_y = dst_y + motion_y / motion_scale.

Examples
  extract_mvs.c.

Definition at line 53 of file motion_vector.h.

Referenced by decode_packet().

## motion_y

int32_t AVMotionVector::motion_y

Examples
  extract_mvs.c.

Definition at line 53 of file motion_vector.h.

Referenced by decode_packet().

## motion_scale

uint16_t AVMotionVector::motion_scale

Examples
  extract_mvs.c.

Definition at line 54 of file motion_vector.h.

Referenced by decode_packet().

The documentation for this struct was generated from the following file:

- libavutil/motion_vector.h